#ifndef _LOGITECHCMREPLICANT_H
#define _LOGITECHCMREPLICANT_H

#include <View.h>

#define		A_RC_CLASS				"class"
#define		A_RC_CLASS_NAME			"LogitechCMReplicant"
#define		A_RC_APP_SIGNATURE		"application/x-vnd.CKJ.LogitechCM"

#define		DEFINE_REPLICANT_MSG	'DefM'

class BMessage;

class LogitechCMReplicant : public BView
{
public:
	LogitechCMReplicant();
	LogitechCMReplicant(BMessage *archive);
	virtual	~LogitechCMReplicant();

	// for archiving view in deskbar
	static LogitechCMReplicant *Instantiate(BMessage *data);
	virtual	status_t Archive(BMessage *data, bool deep = true) const;

	virtual void	AttachedToWindow(void);
	virtual void	MessageReceived(BMessage *message);
	virtual void	Draw(BRect updateRect);
	virtual void	MouseDown(BPoint point);

private:
	void	ResolveKeyPressed(BMessage *message);
	
	bool	_verrNum;
	bool	_capsLock;
	bool	_scrollLock;
};

#endif